features:
  secondary:
    - name: "Install Runners with the GitLab Kubernetes Agent"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/clusters/agent/#example-projects'
      reporter: nagyv-gitlab
      stage: configure
      categories:
        - 'Kubernetes Management'
        - 'Infrastructure as Code'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/250286'
      description: |
        Users of custom GitLab Runners can use GitLab Managed Apps or manual installation for setting up the Runners. While Managed Apps are easy to use, this approach isn't flexible for advanced use cases, and manual installation means maintenance tasks for our users because it isn't integrated with GitLab. The GitLab Kubernetes Agent can be used to turn any GitLab project into a Kubernetes management project so we have created [an example repository and documentation](https://docs.gitlab.com/ee/user/clusters/agent/#example-projects) to show you how to use the Agent to install the GitLab Runner, giving you an integrated, GitLab-centered GitOps workflow for managing your custom runners.
